ECPG(UNIX)

NAME
ecpg - embedded SQL preprocessor for C

SYNOPSIS
ecpg [-v ] [-d ] [-o outfile ] file1 [file2] [...]

DESCRIPTION
ecpg an embedded SQL in C package for PostgreSQL. It enables you to develop C programs with embedded SQL code.

ecpg understands the following command-line options:

-v  Print version information.

-d  Turn on debugging.

-o outfile
    Specifies that ecpg should write all its output to outfile.Ifnosuchoptionisgiventheoutputiswrittentofoo.c if the input file was name foo.pgc or to foo.bar.c if the input file was foo.bar.

file1, file2, ...
    The files to be processed.

BUGS
The return code is alway -1 in case of an error. You cannot see which error occured by examining the return code.

The cursor is opened when the declare statement is issued.

ecpg does not understand enum datatypes.

The is no exec sql prepare statement.

The complete structure definition has to be listed inside the declare section for ecpg to be able to understand it.

RETURN VALUE
ecpg returns 0 to the shell on successful completion, -1 for errors,

SEE ALSO
cc(1).